<?xml version="1.0" encoding="UTF-8"?>
<program_description>
  <program provider="PyXMCDA"
       name="csvToXMCDA-categoriesProfiles"
       displayName="csvToXMCDA-categoriesProfiles"
       version="1.0" />
     <documentation>
        <description>Transforms a file containing categories profiles from a comma-separated values (CSV) file to XMCDA compliant file, containing the alternatives ids with their limits (lowerCategory and upperCategory).</description>
        <contact>Sébastien Bigaret (sebastien.bigaret@telecom-bretagne.eu)</contact>
        <url>https://gitlab.com/sbigaret/ws-pyxmcda</url>
     </documentation>

     <parameters>
        <input displayName="categoriesProfiles (csv)" name="categoriesProfiles.csv" id="categoriesProfiles_csv" isoptional="0">
            <documentation>
                <description xml:space="preserve">The categories profiles as a CSV file.

Example::

  pMG,Medium,Good
  pMB,Bad,Medium

</description>
            </documentation>
            <xmcda tag="other" /> <!-- Not a real xmcda tag -->
        </input>

        <output displayName="categoriesProfiles" name="categoriesProfiles" id="categoriesProfiles">
            <documentation>
                <description xml:space="preserve">The equivalent categories profiles.</description>
            </documentation>
            <xmcda tag="categoriesProfiles" />
        </output>

        <output displayName="messages" name="messages" id="messages">
            <documentation>
                <description xml:space="preserve">Status messages.</description>
            </documentation>
            <xmcda tag="methodMessages" />
        </output>

     </parameters>
</program_description>
